Supports both single and bulk cancel operations in a single call.
actionCodeactionCode field indicates the overall result of the bulk cancel operation:| Code | Result | Description |
|---|---|---|
| 00 | All Success | All transactions in the batch were cancelled successfully. |
| 01 | Partial Success | Mix of successful cancellations, failures, and/or errors in the batch. |
| 02 | All Failed | All transactions in the batch failed to cancel. |
statusCode| Code | Status | Description |
|---|---|---|
| 200 | Success | API body was correct and all payments cancelled successfully. |
| 207 | Partial Success | API body was correct; mix of success, fail, and/or error responses. |
| 400 | Bad Request | One or more required fields are missing or all transactions failed validation. |
| 401 | Unauthorized | API session key at header was incorrect. |
| 404 | Not Found | A referenced entity was not found (see message for details). |
| 500 | Server Error | Internal server error. |
curl --location --request PUT 'https://staginggateway.fintainium.com/gateway/api/payouts/batch/cancel' \
--header 'sessionKey: YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data-raw '{
"businessId": 217819,
"recipients": [
{
"recipientInternalId": "379",
"transactionId": "1231",
"recipientEmailAddress": "abc@xyz.com"
},
{
"recipientInternalId": "380",
"transactionId": "1232",
"recipientEmailAddress": "abc2@xyz.com"
},
{
"recipientInternalId": "381",
"transactionId": "1233",
"recipientEmailAddress": "abc3@xyz.com"
}
]
}'{
"statusCode": 200,
"actionCode": "00",
"message": "3 Payment cancelled successfully",
"failedCount": 0,
"failedMessageList": [],
"successCount": 3,
"transactions": [
{ "transactionId": "1231", "status": "cancelled" },
{ "transactionId": "1232", "status": "cancelled" },
{ "transactionId": "1233", "status": "cancelled" }
],
"transmissionDateTime": "2023-08-30T06:10:13.505+00:00"
}